Subject: [PATCH 3/4] thermal: rockchip: change the TSHUT default state

From: [email-masked] (Caesar Wang)
Date: Wed, 21 Oct 2015 10:16:55 +0800

Doug,

? 2015?10?21? 10:14, Doug Anderson ??:
> Caesar,
>
> On Tue, Oct 20, 2015 at 6:47 PM, Caesar Wang <[email-masked]> wrote:
>> Doug,
>>
>> ? 2015?10?21? 00:01, Doug Anderson ??:
>>
>> Caesar,
>>
>> On Tue, Oct 20, 2015 at 2:11 AM, Caesar Wang <[email-masked]> wrote:
>>
>> As the TRM says, the TSHUT default state is high active.
>> In general, the TSHUT state can get from the dts. Otherwise
>> it gets the state from this.
>>
>> Can you point at where the TRM says that the default state is high active?
>>
>> With the manual I have, I look at TSADC_AUTO_CON and I look at the
>> description of "Bit 8".  It says that "tshut polarity" is 0 for low
>> active and 1 for high active.  It then said that the Reset Value is 0.
>>
>> ...the "Reset Value" in tables like this is notoriously unreliable, so
>> I can totally believe that it's wrong.  If you can point me at the
>> part of the TRM that says that TSHUT is high active by default then I
>> can confirm that for you.  ;)
>>
>>
>> Okay, I know that's my wrong, the polarity is high or low can be selected.
>> :-(
>>
>> I remember the veyron why is the default HiGH active, since the opt is
>> connected to the PMIC.(we need think about the devices)
>>
>> Why is the evb board LOW active, since the opt didn't connected to the
>> devices. TSHUT is depend on the CRU to work.
> I think we can drop this patch then, right?  Any boards that need a
> change from the default can just set "rockchip,hw-tshut-polarity",
> right?
Yep, we should drop this patch.
I'm ready resend the patchs.

> -Doug

-- 
Thanks,
Caesar